org.jboss.netty.handler.ipfilter

## Interface IpSet

All Known Subinterfaces:
  IpFilterRule

All Known Implementing Classes:
  IpSubnet, IpSubnetFilterRule, IpV4Subnet, IpV4SubnetFilterRule, PatternRule

    public interface IpSet

This Interface defines an IpSet object.

### Method Summary

Methods
`boolean` `contains(InetAddress inetAddress1)` Compares the given InetAddress against the IpSet and returns true if the InetAddress is contained in this Rule and false if not.

### Method Detail

#### contains

    boolean contains(InetAddress inetAddress1)

Compares the given InetAddress against the IpSet and returns true if the InetAddress is contained in this Rule and false if not.

Returns:
  returns true if the given IP address is contained in the current IpSet.